Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class CacheInfoToken

    java.lang.Object
      org.apache.slide.common.CacheInfoToken

public final class CacheInfoToken
extends java.lang.Object

Caching strategy token class.

Constructor Summary
`CacheInfoToken()` Constructor.
`CacheInfoToken(java.lang.String strategy)` Constructor.

Method Summary
`int` | `getSearchDepth()` Returns the searchDepth.
`java.lang.String` | `getStrategy()` Returns the strategy.
`boolean` | `isFlushOnCommandDone()` Returns the searchDepth.
`void` | `setFlushOnCommandDone(boolean flushOnCommandDone)` set the flushOnCommandDone
`void` | `setSearchDepth(int searchDepth)` set the searchDepth
`void` | `setStrategy(java.lang.String strategy)` set the strategy

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheInfoToken

    public CacheInfoToken(java.lang.String strategy)

  Constructor.

Parameters:
  `strategy` - describes the preferred strategy

### CacheInfoToken

    public CacheInfoToken()

  Constructor.

Method Detail

### getStrategy

    public java.lang.String getStrategy()

  Returns the strategy.

### setStrategy

    public void setStrategy(java.lang.String strategy)

  set the strategy

### getSearchDepth

    public int getSearchDepth()

  Returns the searchDepth.

### setSearchDepth

    public void setSearchDepth(int searchDepth)

  set the searchDepth

### isFlushOnCommandDone

    public boolean isFlushOnCommandDone()

  Returns the searchDepth.

### setFlushOnCommandDone

    public void setFlushOnCommandDone(boolean flushOnCommandDone)

  set the flushOnCommandDone

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD